#!/usr/bin/python
#
# Descrew.py - Get rid of the crappy newline Linuxdoc-SGML puts between &lt;
#   and the < in the HTML output (also (\n< combination).
#
# History:
#   0.1 - First Release
#   0.2 - Now using Python 1.5's string.replace(); should be faster.
#         Also changed to avoid clobbering any Emacs backup files
#
# (C) 1997-98 Chris Lawrence.  This file may be freely used for any purpose,
# provided this copyright notice remains intact.  No warranty is expressed
# or implied.

import string, sys, os

def DoSubstitution(fpin, fpout):
    input = fpin.read()

    # Replace newlines between brackets and tags with no space
    input = string.replace(input, "&lt;\n<", "&lt;<")
    input = string.replace(input, "(\n<", "(<")

    # Replace ``/'' with double quotes
    input = string.replace(input, "``", "&quot;")
    input = string.replace(input, "''", "&quot;")

    fpout.write(input)

def main():
    if len(sys.argv) < 2:
        print "Usage: "+sys.argv[0]+" <filename(s)>\n"
        sys.exit(1)

    for filename in sys.argv[1:]:
        print 'Converting', filename+':',
        infile = open(filename)
        outfname = filename+".new"
        outfile = open(outfname, "w+")

        DoSubstitution(infile, outfile)
        
        infile.close()
        outfile.close()

        # os.rename(filename, filename+'~ds~')
        os.unlink(filename)
        os.rename(outfname, filename)
        print 'ok.'

main()
