#!/usr/bin/python
# -*- python -*-
#
# Generate header for Usenet post of Linux/m68k FAQ

import time, os, sys, re
from stat import *

def datestr(timeval):
    # Outputs in RFC822 date format
    try:
        return time.strftime('%a, %d %b %Y %H:%M:%S GMT', 
                             time.gmtime(timeval))
    except:
        return 'Invalid date: '+`timeval`

if len(sys.argv) != 3:
    sys.stderr.write('Usage: '+sys.argv[0]+' <announcename> <faqsrcname>\n')
    sys.exit(1)

fname = sys.argv[1]
sname = sys.argv[2]

curtime = time.time()
ftime = os.stat(fname)[ST_MTIME]
curdate = datestr(ftime)
expdate = datestr(curtime + 60 * 60 * 24 * 28) # Expire in 28 days

ftime = os.stat(sname)[ST_MTIME]
faqstamp = datestr(ftime)
fp = open(sname)
file = fp.read()
m = re.search(r"version[\s]+([\d.]+)[\s]+of[\s]+this[\s]+FAQ", file)
version = file[m.start(1):m.end(1)]
del file
fp.close()

print """Newsgroups: comp.os.linux.m68k,comp.unix.amiga,maus.os.linux68k,comp.arch.bus.vmebus,comp.sys.amiga.misc,comp.sys.atari.st,comp.sys.m68k,comp.answers,news.answers
Expires: %s
Subject: Linux/m68k (a free Unix-like OS for Amiga, Atari and VMEbus) MiniFAQ
Summary: Biweekly posting that says where to find the latest Linux/m68k FAQ
Keywords: FAQ, Linux, Motorola, Amiga, Atari, VMEbus, m68k
Followup-To: comp.os.linux.m68k
Reply-To: Chris Lawrence <faq@linux-m68k.org>
Organization: Kathie Lee's Sweatshops
X-URL: http://www.linux-m68k.org/faq/faq.html

Last-modified: %s
Maintainer: Chris Lawrence <faq@linux-m68k.org>
Posting-Frequency: bi-weekly
Archive-name: linux/m68k-faq
URL: <http://www.linux-m68k.org/faq/faq.html>
Current-FAQ-Version: %s (%s)
""" % (expdate, curdate, version, faqstamp)
